
<!-- begin of generated class -->
<?php
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_book_pooja
* GENERATION DATE:  08.03.2017
* CLASS FILE:       D:\wamp\www\Classgenerator/generated_classes/class.tbl_book_pooja.php
* FOR MYSQL TABLE:  tbl_book_pooja
* FOR MYSQL DB:     poorna_pooja
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_book_pooja
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************



var $booking_id;   // (normal Attribute)
var $pooja_id;   // (normal Attribute)
var $category;   // (normal Attribute)
var $customer_name;   // (normal Attribute)
var $customer_email;   // (normal Attribute)
var $customer_mobileno;   // (normal Attribute)
var $customer_address;   // (normal Attribute)
var $customer_city;   // (normal Attribute)
var $pooja_samagri;   // (normal Attribute)
var $pooja_muhurt;   // (normal Attribute)
var $booking_date;   // (normal Attribute)
var $guruji_assign;   // (normal Attribute)
var $guruji_id;   // (normal Attribute)
var $is_deleted;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

function tbl_book_pooja()
{

$this->database = new Database();

}


// **********************
// GETTER METHODS
// **********************


function getbooking_id()
{
return $this->booking_id;
}

function getpooja_id()
{
return $this->pooja_id;
}

function getcategory()
{
return $this->category;
}

function getcustomer_name()
{
return $this->customer_name;
}

function getcustomer_email()
{
return $this->customer_email;
}

function getcustomer_mobileno()
{
return $this->customer_mobileno;
}

function getcustomer_address()
{
return $this->customer_address;
}

function getcustomer_city()
{
return $this->customer_city;
}

function getpooja_samagri()
{
return $this->pooja_samagri;
}

function getpooja_muhurt()
{
return $this->pooja_muhurt;
}

function getbooking_date()
{
return $this->booking_date;
}

function getguruji_assign()
{
return $this->guruji_assign;
}

function getguruji_id()
{
return $this->guruji_id;
}

function getis_deleted()
{
return $this->is_deleted;
}

// **********************
// SETTER METHODS
// **********************


function setbooking_id($val)
{
$this->booking_id =  $val;
}

function setpooja_id($val)
{
$this->pooja_id =  $val;
}

function setcategory($val)
{
$this->category =  $val;
}

function setcustomer_name($val)
{ 
$this->customer_name =  $val;
}

function setcustomer_email($val)
{
$this->customer_email =  $val;
}

function setcustomer_mobileno($val)
{
$this->customer_mobileno =  $val;
}

function setcustomer_address($val)
{
$this->customer_address =  $val;
}

function setcustomer_city($val)
{
$this->customer_city =  $val;
}

function setpooja_samagri($val)
{
$this->pooja_samagri =  $val;
}

function setpooja_muhurt($val)
{
$this->pooja_muhurt =  $val;
}

function setbooking_date($val)
{
$this->booking_date =  $val;
}

function setguruji_assign($val)
{
$this->guruji_assign =  $val;
}

function setguruji_id($val)
{
$this->guruji_id =  $val;
}

function setis_deleted($val)
{
$this->is_deleted =  $val;
}

// **********************
// SELECT METHOD / LOAD
// **********************

function select($id)
{

$sql =  "SELECT * FROM tbl_book_pooja WHERE  booking_id= $id;";
$result =  $this->database->query($sql);
$result = $this->database->result;
$row = mysqli_fetch_object($result);

$this->booking_id = $row->booking_id;

$this->pooja_id = $row->pooja_id;

$this->category = $row->category;

$this->customer_name = $row->customer_name;

$this->customer_email = $row->customer_email;

$this->customer_mobileno = $row->customer_mobileno;

$this->customer_address = $row->customer_address;

$this->customer_city = $row->customer_city;

$this->pooja_samagri = $row->pooja_samagri;

$this->pooja_muhurt = $row->pooja_muhurt;

$this->booking_date = $row->booking_date;

$this->guruji_assign = $row->guruji_assign;

$this->guruji_id = $row->guruji_id;

$this->is_deleted = $row->is_deleted;

}

// **********************
// DELETE
// **********************

function delete($id)
{
//$sql = "DELETE FROM tbl_book_pooja WHERE  booking_id= $id;";
 $sql = "UPDATE tbl_book_pooja SET  is_deleted = '1' WHERE  booking_id= $id;";
$result = $this->database->query($sql);

}

// **********************
// INSERT
// **********************

function insert()
{


$sql = "INSERT INTO tbl_book_pooja ( pooja_id,category,customer_name,customer_email,customer_mobileno,customer_address,customer_city,pooja_samagri,pooja_muhurt,booking_date,guruji_assign,guruji_id,is_deleted ) VALUES ( '$this->pooja_id','$this->category','$this->customer_name','$this->customer_email','$this->customer_mobileno','$this->customer_address','$this->customer_city','$this->pooja_samagri','$this->pooja_muhurt','$this->booking_date','$this->guruji_assign','$this->guruji_id','$this->is_deleted' )";
$result = $this->database->query($sql);
return mysqli_insert_id($this->database->link);

}

// **********************
// UPDATE
// **********************

function update($id)
{



$sql = " UPDATE tbl_book_pooja SET  pooja_id = '$this->pooja_id',category = '$this->category',customer_name = '$this->customer_name',customer_email = '$this->customer_email',customer_mobileno = '$this->customer_mobileno',customer_address = '$this->customer_address',customer_city = '$this->customer_city',pooja_samagri = '$this->pooja_samagri',pooja_muhurt = '$this->pooja_muhurt',booking_date = '$this->booking_date',guruji_assign = '$this->guruji_assign',guruji_id = '$this->guruji_id',is_deleted = '$this->is_deleted' WHERE  booking_id= $id ";

$result = $this->database->query($sql);



}

// Select All Book Pooja List
	function selectBookPoojaList()
	{
		
		try
		{
			$sql =  "SELECT * FROM tbl_book_pooja WHERE  is_deleted = '0'  ORDER BY booking_id DESC";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			            
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				
				  $arr[$count] = new tbl_book_pooja();
				  $arr[$count]->setbooking_id($row->booking_id);
				  $arr[$count]->setpooja_id($row->pooja_id);
				  $arr[$count]->setcategory($row->category);
				  $arr[$count]->setcustomer_name($row->customer_name);
				  $arr[$count]->setcustomer_email($row->customer_email);
				  $arr[$count]->setcustomer_mobileno($row->customer_mobileno);
				  $arr[$count]->setcustomer_address($row->customer_address);
				  $arr[$count]->setcustomer_city($row->customer_city);
				  $arr[$count]->setpooja_samagri($row->pooja_samagri);
				  $arr[$count]->setpooja_muhurt($row->pooja_muhurt);
				  $arr[$count]->setbooking_date($row->booking_date);
				  $arr[$count]->setguruji_assign($row->guruji_assign);
				  $arr[$count]->setguruji_id($row->guruji_id);
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}


} // class : end

?>
<!-- end of generated class -->
